%define upstream_name    Attribute-Handlers
%define upstream_version 0.99

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Simpler definition of attribute handlers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Attribute/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This module, when inherited by a package, allows that package's class to
define attribute handler subroutines for specific attributes. Variables
and subroutines subsequently defined in that package, or in packages
derived from that package may be given attributes with the same names as
the attribute handler subroutines, which will then be called at the end
of the compilation phase (i.e. in a `CHECK' block).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{perl_vendorlib}/Attribute
%{_mandir}/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.990.0-7.mga9
+ Revision: 1802070
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.990.0-6.mga8
+ Revision: 1492808
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.990.0-5.mga7
+ Revision: 1265703
- Mageia 7 Mass Rebuild

* Mon Feb 06 2017 pterjan <pterjan> 0.990.0-4.mga6
+ Revision: 1084994
- Rebuild for new perl to override core

* Wed May 11 2016 tv <tv> 0.990.0-3.mga6
+ Revision: 1013392
- rebuild for perl-5.22 (needed for building perl-Number-RGB

* Fri Feb 19 2016 umeabot <umeabot> 0.990.0-2.mga6
+ Revision: 968916
- Mageia 6 Mass Rebuild

* Sun Jul 26 2015 sander85 <sander85> 0.990.0-1.mga6
+ Revision: 857837
- update to 0.99

* Wed Oct 15 2014 umeabot <umeabot> 0.960.0-3.mga5
+ Revision: 750144
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.960.0-2.mga5
+ Revision: 683556
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 0.960.0-1.mga5
+ Revision: 602784
- update to 0.96

* Fri Oct 18 2013 umeabot <umeabot> 0.930.0-3.mga4
+ Revision: 509161
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.930.0-2.mga3
+ Revision: 363212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 04 2012 jquelin <jquelin> 0.930.0-1.mga2
+ Revision: 190594
- update to 0.93

* Fri Nov 04 2011 jquelin <jquelin> 0.910.0-2.mga2
+ Revision: 162785
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 0.910.0-1.mga2
+ Revision: 112074
- update to 0.91

* Sat Feb 26 2011 jquelin <jquelin> 0.880.0-4.mga1
+ Revision: 60223
- rebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.880.0-3.mga1
+ Revision: 9338
- imported package perl-Attribute-Handlers


* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.880.0-3mdv2011.0
+ Revision: 597090
- rebuild

* Wed Jul 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.880.0-2mdv2011.0
+ Revision: 562417
- rebuild

* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 0.880.0-1mdv2011.0
+ Revision: 532135
- update to 0.88

* Tue Sep 22 2009 Jérôme Quelin <jquelin@mandriva.org> 0.870.0-1mdv2010.0
+ Revision: 447131
- update to 0.87

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.860.0-2mdv2010.0
+ Revision: 420976
- rebuild

* Sun Aug 16 2009 Jérôme Quelin <jquelin@mandriva.org> 0.860.0-1mdv2010.0
+ Revision: 416945
- update to 0.86

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.850.0-1mdv2010.0
+ Revision: 402982
- rebuild using %%perl_convert_version

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.85-1mdv2010.0
+ Revision: 386995
- update to new version 0.85

* Thu Jun 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-1mdv2010.0
+ Revision: 385207
- update to new version 0.84

* Sat Mar 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.83-1mdv2009.1
+ Revision: 354877
- update to new version 0.83

* Thu Mar 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.82-1mdv2009.1
+ Revision: 354393
- update to new version 0.82

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.81-1mdv2009.1
+ Revision: 302890
- update to new version 0.81

* Wed Oct 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.80-1mdv2009.1
+ Revision: 298176
- new version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.78-3mdv2009.0
+ Revision: 241151
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon May 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.78-1mdv2008.0
+ Revision: 26669
- Import perl-Attribute-Handlers



* Mon May 14 2007 Oden Eriksson <oeriksson@mandriva.com> 0.78-1mdv2007.1
- initial Mandriva package 
